> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/groups-management/get-payment-group-details.md).

# Get Payment Group Details

The API is utilized to retrieve the payment group’s details and fetches comprehensive information by specifying the group ID.

<mark style="color:blue;">**`GET`**</mark> /payments/groups/{id}

**Body Parameters Request**

| Name | Location | Type   | Description                 | Required |
| ---- | -------- | ------ | --------------------------- | -------- |
| id   | url path | string | Goup ID for info retrieval. | Yes      |

**Body parameters Response**

| Name                            | Type    | Description                                                                            |
| ------------------------------- | ------- | -------------------------------------------------------------------------------------- |
| type                            | string  | the entity type (group)                                                                |
| id                              | string  | Unique id of group                                                                     |
| description                     | string  | Extended description of group                                                          |
| name                            | string  | Visual name of group                                                                   |
| locked                          | boolean | When locked, no new payments can be added                                              |
| user\_tags                      | object  | A set of k/v pairs of user tags assigned to this group                                 |
| wallet                          | object  | Holds info on the wallet this group is associated with                                 |
| wallet.type                     | string  | Entity type (wallet)                                                                   |
| wallet.id                       | string  | The unique id of this wallet                                                           |
| wallet.currency                 | string  | The 3 letter ISO code of the currency this wallet holds                                |
| wallet.name                     | string  | Visual name of this wallet                                                             |
| wallet.balance                  | integer | When the wallet is active, returns the available balance                               |
| wallet.owner                    | string  | The legal entity id ownling this wallet                                                |
| info                            | object  | Extended information abount payment in this group                                      |
| info.funding                    | object  | Info on the next funding                                                               |
| info.funding.next               | string  | The next funding date                                                                  |
| info.funding.missing\_funds     | number  | The amount of funds missing for the next payout date                                   |
| info.payments                   | object  | Extended information refarding payments in the group                                   |
| info.payments.total             | integer | Total number of payments in this group                                                 |
| info.payments.pending           | integer | Number of payments pending to be executed                                              |
| info.payments.pending\_approval | integer | Number of payments that have not been approved yet                                     |
| info.payments.issues            | integer | Number of payments with issues that require user attention                             |
| info.payments.completed         | integer | Number of payments that have been completed                                            |
| info.payments.failed            | integer | Number of payments that have failed                                                    |
| info.payments.routing           | integer | Number of payments that have started their execution and are in the bank routing stage |
| info.payments.next              | string  | The next expected payout date                                                          |
| info.payments.amount            | object  | Information about the total amount to be sent from this group                          |
| info.payments.amount.amount     | number  | The total amount of charges this group holds                                           |
| info.payments.amount.currency   | string  | The currency these payments are charged in                                             |

**Request Example**

```
GET /payments/groups/490f23cf-c6f3-4f83-9aed-8dff619735ba
```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "type": "group",
   "id": "490f23cf-c6f3-4f83-9aed-8dff619735ba",
   "description": "Demo Group",
   "name": "March USD cycle",
   "locked": false,
   "user_tags": {},
   "wallet": {
      "type": "wallet",
      "id": "fb306785-d3bb-44f0-88ef-b0dc07d294a0",
      "currency": "USD",
      "name": "Demo USD Wallet",
      "balance": 120000,
      "owner": "entity://business/customer/demo:standalone:1709465100/legal/a01b75a8-8069-4691-a299-11a9477f8899"
   },
   "info": {
      "funding": {
         "next": "2024-03-02",
         "missing_funds": 86555.24172
      },
      "payments": {
         "total": 20,
         "pending": 15,
         "pending_approval": 0,
         "issues": 15,
         "completed": 0,
         "failed": 5,
         "routing": 0,
         "next": "2024-03-02",
         "amount": {
            "amount": 118652.06667,
            "currency": "USD"
         }
      }
   }
}
```

{% endtab %}

{% tab title="404 - Not Found" %}

```json
{
  "error": "group_not_found",
  "description": "The requested group could not be found",
  "error_code": 404,
  "sub_code": 100
}
```

{% endtab %}
{% endtabs %}
